optics-core-0.4.1.1: Optics as an abstract interface: core definitions

Safe Haskell | None
Language | Haskell2010

Data.Typeable.Optics

Description

Synopsis

- _cast :: (Typeable s, Typeable a) => AffineTraversal' s a
- _gcast :: (Typeable s, Typeable a) => AffineTraversal' (c s) (c a)

# Documentation

_cast :: (Typeable s, Typeable a) => AffineTraversal' s a Source #

An `AffineTraversal'` for working with a `cast` of a `Typeable` value.

_gcast :: (Typeable s, Typeable a) => AffineTraversal' (c s) (c a) Source #

An `AffineTraversal'` for working with a `gcast` of a `Typeable` value.